#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include "inc_cluster.h"

namespace py = pybind11;


//Pybind11 wrapper for the Incremental_clustering class
PYBIND11_MODULE(incremental_clustering, m){
    m.doc() = "Library to perform incremental clustering on wavelet panel data"; //documentation string
    py::class_<Incremental_clustering>(m, "Incremental_clustering")
        .def(py::init()) //constructor
        .def("cluster", &Incremental_clustering::cluster);
}
